Skip to main content
GET
/
api
/
v1
/
projects
/
{projectUuid}
/
compile-logs
/
job
/
{jobUuid}
Error
A valid request URL is required to generate request examples
{
  "results": {
    "log": {
      "report": {
        "baseTableNames": [
          "<string>"
        ],
        "exploresWithErrors": [
          {
            "name": "<string>",
            "label": "<string>",
            "errors": [
              {
                "message": "<string>",
                "type": "METADATA_PARSE_ERROR"
              }
            ],
            "tags": [
              "<string>"
            ],
            "groupLabel": "<string>",
            "baseTable": "<string>",
            "joinedTables": [
              {
                "table": "<string>",
                "sqlOn": "<string>",
                "compiledSqlOn": "<string>",
                "type": "inner",
                "hidden": true,
                "always": true,
                "relationship": "one-to-many",
                "parameterReferences": [
                  "<string>"
                ],
                "tablesReferences": [
                  "<string>"
                ]
              }
            ],
            "tables": {},
            "unfilteredTables": {},
            "targetDatabase": "bigquery",
            "warehouse": "<string>",
            "databricksCompute": "<string>",
            "ymlPath": "<string>",
            "sqlPath": "<string>",
            "type": "virtual",
            "caseSensitive": true,
            "spotlight": {
              "visibility": "show",
              "owner": "<string>",
              "categories": [
                "<string>"
              ]
            },
            "aiHint": "<string>",
            "parameters": {},
            "preAggregates": [
              {
                "metrics": [
                  "<string>"
                ],
                "dimensions": [
                  "<string>"
                ],
                "name": "<string>",
                "refresh": {
                  "cron": "<string>"
                },
                "granularity": "RAW",
                "timeDimension": "<string>"
              }
            ],
            "warnings": [
              {
                "message": "<string>",
                "type": "METADATA_PARSE_ERROR"
              }
            ]
          }
        ],
        "dimensionsCount": 123,
        "metricsCount": 123,
        "errorExploresCount": 123,
        "successfulExploresCount": 123,
        "totalExploresCount": 123
      },
      "warehouseType": "<string>",
      "requestMethod": "<string>",
      "dbtConnectionType": "<string>",
      "compilationSource": "cli_deploy",
      "createdAt": "2023-11-07T05:31:56Z",
      "organizationUuid": "<string>",
      "userName": "<string>",
      "userUuid": "<string>",
      "jobUuid": "<string>",
      "projectUuid": "<string>",
      "projectCompileLogId": "<string>"
    }
  },
  "status": "ok"
}

Documentation Index

Fetch the complete documentation index at: https://lightdash-work-with-ai-section-1771841038.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectUuid
string
required

The uuid of the project

jobUuid
string
required

The uuid of the job

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok